#
# spec file for package python-setuptools-gettext
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-setuptools-gettext
Version:        0.1.14
Release:        1.1
Summary:        Setuptools gettext extension plugin
License:        GPL-2.0-or-later
URL:            https://github.com/breezy-team/setuptools-gettext
Source:         https://files.pythonhosted.org/packages/source/s/setuptools-gettext/setuptools_gettext-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools >= 46.1
BuildArch:      noarch
%python_subpackages

%description
Setuptools gettext extension plugin

%prep
%autosetup -p1 -n setuptools_gettext-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# There doesn't seem to be any tests.

%files %{python_files}
%doc README.md
%license COPYING
%{python_sitelib}/setuptools_gettext
%{python_sitelib}/setuptools_gettext-%{version}.dist-info

%changelog
* Sun Mar 30 2025 Dirk Müller <dmueller@suse.com>
- update to 0.1.14:
  * Avoid importing convert_path from distutils, which is gone in
    Python 3.12
- update to 0.1.13:
  * Fix wheel building
- update to 0.1.12:
  * replace logging.warn with logging.warning
  * Support wheel building
  * Update pip with dependabot
  * Ruff fixes
  * Drop python 3.7 support
* Thu Feb  1 2024 Dirk Müller <dmueller@suse.com>
- update to 0.1.11:
  * Fix test
- update to 0.1.10:
  * Add setting for default language
  * Add some tests
  * Fix root
  * Set pythonpath
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- update to 0.1.8:
  * **Full Changelog**: https://github.com/breezy-
    team/setuptools-gettext/compare/v0.1.1...v0.1.7
  * Delay adding entry points to finalize_distribution_options
* Fri Jun  9 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Mon Jan 23 2023 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for setuptools-gettext 0.1.1.
